## cervisia 4.13.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(cervisia)

if (UNIX)
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions( ${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${KDE4_INCLUDES}
)

# TODO port away from QT3_SUPPORT
add_definitions(-DQT3_SUPPORT)

add_subdirectory( doc )
add_subdirectory( cvsservice ) 
add_subdirectory( pics ) 

set(_KDECONFDIR_ ${CONFIG_INSTALL_DIR})
set(_KDEHTMLDIR_ ${HTML_INSTALL_DIR})

configure_file (cervisia.1.cmake ${CMAKE_CURRENT_BINARY_DIR}/cervisia.1 @ONLY)

########### next target ###############

set(libcervisia_SRCS
   annotatedialog.cpp
   diffdialog.cpp
   patchoptiondialog.cpp
   logdialog.cpp
   progressdialog.cpp
   resolvedialog.cpp
   resolvedialog_p.cpp
   annotateview.cpp
   diffview.cpp
   loglist.cpp
   logplainview.cpp
   logtree.cpp
   annotatecontroller.cpp
   loginfo.cpp
   misc.cpp
   qttableview.cpp
   tooltip.cpp
   settingsdialog.cpp
   )

qt4_add_dbus_interfaces( libcervisia_SRCS cvsservice/org.kde.cervisia.cvsservice.xml )
qt4_add_dbus_interfaces( libcervisia_SRCS cvsservice/org.kde.cervisia.cvsjob.xml )
qt4_add_dbus_interfaces( libcervisia_SRCS cvsservice/org.kde.cervisia.cvsloginjob.xml )
qt4_add_dbus_interfaces( libcervisia_SRCS cvsservice/org.kde.cervisia.repository.xml )


kde4_add_ui_files(libcervisia_SRCS settingsdialog_advanced.ui )

kde4_add_kcfg_files(libcervisia_SRCS cervisiasettings.kcfgc )


set(cervisia_KDEINIT_SRCS ${libcervisia_SRCS} 
   main.cpp 
   cervisiashell.cpp )



kde4_add_kdeinit_executable( cervisia ${cervisia_KDEINIT_SRCS})

# kde3support still needed for K3ListView and friends
target_link_libraries(kdeinit_cervisia    ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KPARTS_LIBS})

install(TARGETS kdeinit_cervisia ${INSTALL_TARGETS_DEFAULT_ARGS} )

# kde3support still needed for K3ListView and friends
target_link_libraries( cervisia kdeinit_cervisia ${KDE4_KDE3SUPPORT_LIBS})
install(TARGETS cervisia  ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### next target ###############

set(cervisiapart_PART_SRCS ${libcervisia_SRCS}
   updateview.cpp 
   protocolview.cpp 
   watchdialog.cpp 
   changelogdialog.cpp 
   historydialog.cpp 
   repositorydialog.cpp 
   commitdialog.cpp 
   checkoutdialog.cpp 
   updatedialog.cpp 
   tagdialog.cpp 
   mergedialog.cpp 
   cvsdir.cpp 
   repositories.cpp 
   cervisiapart.cpp 
   addrepositorydialog.cpp 
   addremovedialog.cpp 
   watchersdialog.cpp 
   watchersmodel.cpp 
   updateview_items.cpp 
   updateview_visitors.cpp 
   entry.cpp 
   entry_status.cpp 
   stringmatcher.cpp 
   cvsinitdialog.cpp 
   ignorelistbase.cpp 
   dirignorelist.cpp 
   globalignorelist.cpp 
   addignoremenu.cpp
   editwithmenu.cpp 
   logmessageedit.cpp )


qt4_add_dbus_adaptor(cervisiapart_PART_SRCS org.kde.cervisia.protocolview.xml protocolview.h ProtocolView)

kde4_add_plugin(cervisiapart ${cervisiapart_PART_SRCS})



target_link_libraries(cervisiapart  ${KDE4_KPARTS_LIBS} ${KDE4_KDE3SUPPORT_LIBS} )

install(TARGETS cervisiapart  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### next target ###############


########### install files ###############

install( PROGRAMS cervisia.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES cervisiapart.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES cervisiapart.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES cervisiaui.rc  DESTINATION  ${DATA_INSTALL_DIR}/cervisiapart )
install( FILES cervisiashellui.rc cervisia.notifyrc  DESTINATION  ${DATA_INSTALL_DIR}/cervisia )
install( FILES ${CMAKE_CURRENT_BINARY_DIR}/cervisia.1 DESTINATION ${MAN_INSTALL_DIR}/man1)
kde4_install_icons( ${ICON_INSTALL_DIR}   )



#cervisia.1.in: cervisia.pod
#	pod2man --center "Cervisia" --release "${CERVISIA_VERSION}" \
#		cervisia.pod > cervisia.1.in

endif ()

## cervisia 4.10.80

=== debian/changelog ===
cervisia (4:4.10.80-0ubuntu2) saucy; urgency=low

  * Instead of depending on cvsservice break/replace it as the binaries are
    now shipped in cervisia

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 22 Jun 2013 12:49:32 +0200

cervisia (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Jonathan Riddell ]
  * New upstream release
  * Initial package, split from kdesdk

  [ Howard Chan ]
  * Fixed the .install files.
  * Fixed copyright file to prevent lintian warning of lgpl-2.1+ having
    no content.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 02:29:34 +0100

cervisia (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  [ Rohan Garg ]
  * New upstream bugfix release

  [ Jonathan Riddell ]
  * Add kubuntu_01_dfsg_licence.diff from upstream to remove FDL with
    invariant sections

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:29:28 +0100

cervisia (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge from Debian Git. Remaining changes:
    - Use versioned boost build-depends
    - cervisia-scripts depends on pkg-kde-tools
  * Version build-dep boost libboost1.53-dev
  * Don't prune non-free files, fixed upstream
  * Remove X-Debian-ABI: 0 additions to prevent unnecessary binary incompatiblity

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:36 +0000

cervisia (4:4.10.2+dfsg-2) experimental; urgency=low

  [ Pino Toscano ]
  * Add the pkg-config build dependency.
  * Remove extra ${perl:Depends} from cervisia.
  * Remove extra ${shlibs:Depends} from okteta-dev.

 -- Sune Vuorela <sune@debian.org>  Mon, 29 Apr 2013 01:23:38 +0200

cervisia (4:4.10.2+dfsg-1) experimental; urgency=low

  * New upstream release.

  [ Josep Febrer Salord ]
  * Bump kde-sc-dev-latest build dependency to 4:4.10.2.
  * Bump kdepimlibs5-dev build dependency to 4:4.10.2.
  * Bump libkonq5-dev build dependency to 4:4.10.2.
  * Refresh patch append_kde.diff.
  * Refresh patch enable_debianabimanager.diff.
  * Refresh patch dont_export_private_classes.diff.
  * Refresh patch okteta_big_endian.diff.
  * Add new package libkasten2controllers2 and remove libkasten1controllers1.
  * Add new package libkasten2core2 and remove libkasten1core1.
  * Add new package libkasten2gui2 and remove libkasten1gui1.
  * Add new package libkasten2okteta1controllers1 and remove
    libkasten1okteta1controllers1.
  * Add new package libkasten2okteta1core1 and remove libkasten1okteta1core1.
  * Add new package libkasten2okteta1gui1 and remove libkasten1okteta1gui1.
  * Update install files.
  * Disable build of tests.
  * Update cervisia-scripts.examples.
  * Update symbols files.
  * Delete kbugbuster commented references in control and remove
    kbugbuster.install and kbugbuster.manpages, dropped upstream.
  * Update copyright file.
  * Update file paths on rules.
  * Add new package cervisia-thumbnailers.

  [ Pino Toscano ]
  * Update paths of the DFSG-pruned files.
  * Remove kde-dev-scripts/add_trace.pl from the tarball, since its license
    is unclear.

  [ Maximiliano Curia ]
  * Update Uploaders.
  * Update watch file, add dfsg mangle.
  * Update lintian-overrides.
  * Bump debhelper to 9.
  * Update copyright file.

 -- Sune Vuorela <sune@debian.org>  Mon, 22 Apr 2013 09:27:58 +0200

cervisia (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:46:18 +0200

cervisia (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
    - update append_kde.diff for new script folder name
    - adjust cervisia-scripts.examples for new script folder name
    - Add a new and drop a missing private symbol from 
      libkasten2okteta1controllers1.symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:43:04 +0000

cervisia (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:51:06 +0000

cervisia (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:32:17 +0000

cervisia (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:33:00 +0100

cervisia (4:4.9.95-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Rohan Garg ]
  * Update install files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:27:21 +0000

cervisia (4:4.9.90-0ubuntu1) raring; urgency=low

  * New upstream beta release
  * Update .symbols files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:50:36 +0000

cervisia (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:34:42 +0100

cervisia (4:4.9.2-0ubuntu2) quantal; urgency=low

  * Rebuild to get missing binaries that were lost due to being copied from
    proposed to release before they were built

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Oct 2012 00:55:55 -0400

cervisia (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:25:58 +0100

cervisia (4:4.9.1-0ubuntu1) quantal; urgency=low

  [ Harald Sitter ]
  * New upstream release

  [ Philip Muškovac ]
  * Change sonames from 4.9.0 to 4.9.* 

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:27:36 +0530

cervisia (4:4.9.0-0ubuntu2) quantal; urgency=low

  * Build-dep on kdelibs 4.9.0a, adjust .install files to new library
    version no

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2012 11:57:51 +0100

cervisia (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * Update symbols files
  * Add build-dep on pkg-config



=== debian/control ===
Source: cervisia
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.10.80)
Standards-Version: 3.9.4
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/cervisia
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/cervisia

Package: cervisia
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: cvsservice (<< 4:4.10.80)
Replaces: cvsservice (<< 4:4.10.80)
Suggests: khelpcenter4
Description: graphical CVS client
 Cervisia is a front-end for the CVS version control system client.
 .
 In addition to basic and advanced CVS operations, it provides a convenient
 graphical interface for viewing, editing, and manipulating files in a CVS
 repository or working directory.  It includes tools designed to ease the use
 of CVS, such as a log browser, conflict resolver, and changelog editor that
 checks for incorrect formatting.
 .
 This package is part of the KDE Software Development Kit module.

Package: cervisia-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg, kate-dbg
Replaces: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Breaks: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Suggests: cervisia (= ${source:Version})
Description: debugging symbols for the KDE Software Development Kit module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE Software Development Kit module.

## cervisia 4.10.90

=== debian/changelog ===
cervisia (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 17:57:18 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.80)
+ kdelibs5-dev (>= 4:4.10.90)
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/cervisia

## cervisia 4.10.95

=== debian/changelog ===
cervisia (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:31:39 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.90)
+ kdelibs5-dev (>= 4:4.10.95)
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/cervisia

## cervisia 4.10.97

=== debian/changelog ===
cervisia (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:01:39 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.95)
+ kdelibs5-dev (>= 4:4.10.97)
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/cervisia

## cervisia 4.11.0

=== debian/changelog ===
cervisia (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:55:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.97)
+ kdelibs5-dev (>= 4:4.11.0)
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/cervisia

## cervisia 4.11.1

=== debian/changelog ===
cervisia (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:03:37 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.0)
+ kdelibs5-dev (>= 4:4.11.1)
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/cervisia

## cervisia 4.11.2

=== debian/changelog ===
cervisia (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 13:55:07 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.1)
+ kdelibs5-dev (>= 4:4.11.2)
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/cervisia

## cervisia 4.11.80

=== debian/changelog ===
cervisia (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:25:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2)
+ kdelibs5-dev (>= 4:4.11.80)
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/cervisia

## cervisia 4.11.95

=== debian/changelog ===
cervisia (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:38:58 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.80)
+ kdelibs5-dev (>= 4:4.11.95)
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/cervisia

## cervisia 4.11.97

=== debian/changelog ===
cervisia (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:27:25 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.95)
+ kdelibs5-dev (>= 4:4.11.97)
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/cervisia

## cervisia 4.12.0

=== debian/changelog ===
cervisia (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:21:23 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.97)
+ kdelibs5-dev (>= 4:4.12.0)
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/cervisia

## cervisia 4.13.0

=== debian/changelog ===
cervisia (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:34:47 +0100

cervisia (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:06:05 +0200

cervisia (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:53:08 +0100

cervisia (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:32:42 +0000

cervisia (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:25:09 +0100

cervisia (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:34:07 +0000

cervisia (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 07:54:07 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.12.0)
+ kdelibs5-dev (>= 4:4.13.0)
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/cervisia

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false

override_dh_strip:
	$(overridden_command) --dbg-package=cervisia-dbg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg(\.\d+)?$// \
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/cervisia-([\d\.]*).tar.xz

## cervisia 4.14.0

=== debian/changelog ===
cervisia (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 20:11:10 +0200

cervisia (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:08 +0200

cervisia (4:4.12.2-1) experimental; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:49 +0100

cervisia (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 14:25:44 +0100

cervisia (4:4.11.2-1) experimental; urgency=low

  * First release of kdesdk after being split by upstream.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Oct 2013 10:58:32 +0200

=== debian/control ===
Source: cervisia
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/cervisia.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/cervisia.git

Package: cervisia
Architecture: any
Section: devel
Depends: cvsservice, ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter4
Description: graphical CVS client
 Cervisia is a front-end for the CVS version control system client.
 .
 In addition to basic and advanced CVS operations, it provides a convenient
 graphical interface for viewing, editing, and manipulating files in a CVS
 repository or working directory.  It includes tools designed to ease the use
 of CVS, such as a log browser, conflict resolver, and changelog editor that
 checks for incorrect formatting.
 .
 This package is part of the KDE Software Development Kit module.

Package: cvsservice
Architecture: any
Section: vcs
Depends: cvs, ${misc:Depends}, ${shlibs:Depends}
Replaces: libcvsservice0
Breaks: libcvsservice0
Description: D-Bus service for accessing CVS repositories
 This package provides a D-Bus service for browsing and manipulating
 remote CVS repositories.  Applications may make use of it directly from
 C++, or access the service over D-Bus.
 .
 This package is part of the KDE Software Development Kit module.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/cervisia-([\d.]+).tar.xz

## cervisia 4.14.1

=== debian/changelog ===
cervisia (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:23:31 +0200

cervisia (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:28:35 +0200

cervisia (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:07:58 +0200

cervisia (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:22:15 +0200

cervisia (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 17:22:38 +0200

cervisia (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:39:40 +0100

cervisia (4:4.13.0-0ubuntu2) utopic; urgency=medium

  * Merge with debian, remaining changes:
    - Add the cvsservice package back in
      + Add appropriate Breaks/Replaces

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 02 Jun 2014 12:40:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cervisia
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -10,12 +11,14 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.1),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/cervisia.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/cervisia.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/cervisia
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/cervisia
+X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/cervisia.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/cervisia.git
 
 Package: cervisia
 Architecture: any
@@ -37,11 +40,23 @@
 Architecture: any
 Section: vcs
 Depends: cvs, ${misc:Depends}, ${shlibs:Depends}
-Replaces: libcvsservice0
-Breaks: libcvsservice0
+Replaces: libcvsservice0, cervisia (<< 4:4.13.0-0ubuntu2~)
+Breaks: libcvsservice0, cervisia (<< 4:4.13.0-0ubuntu2~)
 Description: D-Bus service for accessing CVS repositories
  This package provides a D-Bus service for browsing and manipulating
  remote CVS repositories.  Applications may make use of it directly from
  C++, or access the service over D-Bus.
  .
  This package is part of the KDE Software Development Kit module.
+
+Package: cervisia-dbg
+Section: debug
+Architecture: any
+Priority: extra
+Depends: ${misc:Depends}, kde-runtime-dbg, kate-dbg
+Replaces: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
+Breaks: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
+Suggests: cervisia (= ${source:Version})
+Description: debugging symbols for the KDE Software Development Kit module
+ This package contains debugging files used to investigate problems with
+ binaries included in the KDE Software Development Kit module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=cervisia-dbg

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/cervisia-([\d\.]*).tar.xz

## cervisia 4.14.2

=== debian/changelog ===
cervisia (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:35:06 +0200

cervisia (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 02:34:17 -0700

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/

## cervisia 14.11.97

=== debian/changelog ===
cervisia (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 09:56:43 -0800

cervisia (4:14.11.95-0ubuntu2) vivid; urgency=medium

  * Fix Watch file applications locations 
  * Fix VCS for new kde-applications location 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 24 Nov 2014 08:27:20 -0800

cervisia (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series 
   - Change maintainer to Debian/Kubuntu
   - Added a not-installed for the libkdeinit4* files installed
     by dh_movelibkdeinit and the manpage that is installed.
  * Debian merge, no remaining changes. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Sat, 22 Nov 2014 07:12:05 +0000

cervisia (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 02:34:17 -0700

=== debian/control ===
Source: cervisia
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/cervisia.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/cervisia.git

Package: cervisia
Architecture: any
Section: devel
Depends: cvsservice, ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: graphical CVS client
 Cervisia is a front-end for the CVS version control system client.
 .
 In addition to basic and advanced CVS operations, it provides a convenient
 graphical interface for viewing, editing, and manipulating files in a CVS
 repository or working directory.  It includes tools designed to ease the use
 of CVS, such as a log browser, conflict resolver, and changelog editor that
 checks for incorrect formatting.
 .
 This package is part of the KDE Software Development Kit module.

Package: cvsservice
Architecture: any
Section: vcs
Depends: cvs, ${misc:Depends}, ${shlibs:Depends}
Replaces: libcvsservice0
Breaks: libcvsservice0
Description: D-Bus service for accessing CVS repositories
 This package provides a D-Bus service for browsing and manipulating
 remote CVS repositories.  Applications may make use of it directly from
 C++, or access the service over D-Bus.
 .
 This package is part of the KDE Software Development Kit module.

## cervisia 14.12.0

=== debian/changelog ===
cervisia (4:14.12.0-0ubuntu1~ubuntu15.04~ppa2) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 11 Dec 2014 15:19:47 -0800

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kdelibs5-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/cervisia-([\d.]+).tar.xz

http://download.kde.org/unstable/applications/([\d.]+)/src/cervisia-([\d.]+).tar.xz

## cervisia 14.12.3

=== debian/changelog ===
cervisia (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:46:55 -0700

cervisia (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:06:07 +0100

## cervisia 15.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,8 +17,8 @@
 add_definitions(-DQT3_SUPPORT)
 
 add_subdirectory( doc )
-add_subdirectory( cvsservice ) 
-add_subdirectory( pics ) 
+add_subdirectory( cvsservice )
+add_subdirectory( pics )
 
 set(_KDECONFDIR_ ${CONFIG_INSTALL_DIR})
 set(_KDEHTMLDIR_ ${HTML_INSTALL_DIR})
@@ -59,8 +59,8 @@
 kde4_add_kcfg_files(libcervisia_SRCS cervisiasettings.kcfgc )
 
 
-set(cervisia_KDEINIT_SRCS ${libcervisia_SRCS} 
-   main.cpp 
+set(cervisia_KDEINIT_SRCS ${libcervisia_SRCS}
+   main.cpp
    cervisiashell.cpp )
 
 
@@ -79,35 +79,35 @@
 ########### next target ###############
 
 set(cervisiapart_PART_SRCS ${libcervisia_SRCS}
-   updateview.cpp 
-   protocolview.cpp 
-   watchdialog.cpp 
-   changelogdialog.cpp 
-   historydialog.cpp 
-   repositorydialog.cpp 
-   commitdialog.cpp 
-   checkoutdialog.cpp 
-   updatedialog.cpp 
-   tagdialog.cpp 
-   mergedialog.cpp 
-   cvsdir.cpp 
-   repositories.cpp 
-   cervisiapart.cpp 
-   addrepositorydialog.cpp 
-   addremovedialog.cpp 
-   watchersdialog.cpp 
-   watchersmodel.cpp 
-   updateview_items.cpp 
-   updateview_visitors.cpp 
-   entry.cpp 
-   entry_status.cpp 
-   stringmatcher.cpp 
-   cvsinitdialog.cpp 
-   ignorelistbase.cpp 
-   dirignorelist.cpp 
-   globalignorelist.cpp 
+   updateview.cpp
+   protocolview.cpp
+   watchdialog.cpp
+   changelogdialog.cpp
+   historydialog.cpp
+   repositorydialog.cpp
+   commitdialog.cpp
+   checkoutdialog.cpp
+   updatedialog.cpp
+   tagdialog.cpp
+   mergedialog.cpp
+   cvsdir.cpp
+   repositories.cpp
+   cervisiapart.cpp
+   addrepositorydialog.cpp
+   addremovedialog.cpp
+   watchersdialog.cpp
+   watchersmodel.cpp
+   updateview_items.cpp
+   updateview_visitors.cpp
+   entry.cpp
+   entry_status.cpp
+   stringmatcher.cpp
+   cvsinitdialog.cpp
+   ignorelistbase.cpp
+   dirignorelist.cpp
+   globalignorelist.cpp
    addignoremenu.cpp
-   editwithmenu.cpp 
+   editwithmenu.cpp
    logmessageedit.cpp )
 
 
@@ -128,6 +128,7 @@
 ########### install files ###############
 
 install( PROGRAMS cervisia.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
+install( FILES cervisia.appdata.xml DESTINATION  ${DATA_INSTALL_DIR}/appdata )
 install( FILES cervisiapart.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
 install( FILES cervisiapart.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
 install( FILES cervisiaui.rc  DESTINATION  ${DATA_INSTALL_DIR}/cervisiapart )

=== debian/changelog ===
cervisia (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:23:03 +0200

## cervisia 15.07.90

=== debian/changelog ===
cervisia (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 08:57:18 +0100

## cervisia 15.08.0

=== debian/changelog ===
cervisia (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Aug 2015 16:55:29 +0100

## cervisia 15.08.1

=== debian/changelog ===
cervisia (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:06:15 +0100

## cervisia 15.08.2

=== debian/changelog ===
cervisia (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:49:11 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/cervisia.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/cervisia.git

## cervisia 15.12.1

=== debian/changelog ===
cervisia (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Merge with debian git master

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:22:55 +0100

cervisia (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:38:56 +0100

cervisia (4:15.08.2-1) unstable; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:07:19 +0200

cervisia (4:15.08.1-1) unstable; urgency=medium

  * New upstream release (15.08.1).
  * Add libsoprano-dev build dep.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:10:42 +0200

cervisia (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:39 +0200

cervisia (4:14.12.2-1) experimental; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Maximiliano Curia ]
  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 16 Feb 2015 14:56:21 +0100

## cervisia 15.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,14 +7,12 @@
 include(KDE4Defaults)
 
 add_definitions( ${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
+
 include_directories(
     ${CMAKE_SOURCE_DIR}
     ${CMAKE_BINARY_DIR}
     ${KDE4_INCLUDES}
 )
-
-# TODO port away from QT3_SUPPORT
-add_definitions(-DQT3_SUPPORT)
 
 add_subdirectory( doc )
 add_subdirectory( cvsservice )
@@ -65,15 +63,12 @@
 
 
 
-kde4_add_kdeinit_executable( cervisia ${cervisia_KDEINIT_SRCS})
+kde4_add_kdeinit_executable(cervisia ${cervisia_KDEINIT_SRCS})
 
-# kde3support still needed for K3ListView and friends
-target_link_libraries(kdeinit_cervisia    ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KPARTS_LIBS})
+target_link_libraries(kdeinit_cervisia ${KDE4_KPARTS_LIBS})
 
 install(TARGETS kdeinit_cervisia ${INSTALL_TARGETS_DEFAULT_ARGS} )
 
-# kde3support still needed for K3ListView and friends
-target_link_libraries( cervisia kdeinit_cervisia ${KDE4_KDE3SUPPORT_LIBS})
 install(TARGETS cervisia  ${INSTALL_TARGETS_DEFAULT_ARGS} )
 
 ########### next target ###############
@@ -117,7 +112,7 @@
 
 
 
-target_link_libraries(cervisiapart  ${KDE4_KPARTS_LIBS} ${KDE4_KDE3SUPPORT_LIBS} )
+target_link_libraries(cervisiapart  ${KDE4_KPARTS_LIBS})
 
 install(TARGETS cervisiapart  DESTINATION ${PLUGIN_INSTALL_DIR} )

=== doc/CMakeLists.txt ===
########### install files ###############
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR cervisia)

=== debian/changelog ===
cervisia (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:52:29 -0700

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,16 @@
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.6~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
+               libsoprano-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/cervisia.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/cervisia.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/cervisia.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/cervisia.git
 
 Package: cervisia
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/cervisia-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/cervisia-([\d.]+).tar.xz

## cervisia 16.04.3

=== debian/changelog ===
cervisia (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release. 

  [ Clive Johnston ]
  * New upstream release 16.04.2
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:38:12 +0200

cervisia (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:51 +0100

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
 Build-Depends: cmake (>= 2.6~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.14.22~),
                libsoprano-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/cervisia.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/cervisia.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cervisia
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cervisia
 
 Package: cervisia
 Architecture: any

## cervisia 16.08.2

=== debian/changelog ===
cervisia (4:16.08.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.2)
  * Update build dependencies
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Mon, 17 Oct 2016 21:42:11 +0200

cervisia (4:16.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Jun 2016 11:04:56 +0200

cervisia (4:15.12.0-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 15:40:47 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,23 @@
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.6~),
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.22~),
-               libsoprano-dev,
-               pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.6
+               extra-cmake-modules (>= 1.3.0~),
+               libkf5doctools-dev,
+               kinit-dev,
+               libkf5iconthemes-dev,
+               libkf5itemviews-dev,
+               libkf5notifications-dev,
+               libkf5parts-dev,
+               libkf5su-dev,
+               libkf5widgetsaddons-dev,
+               pkg-kde-tools (>= 0.12),
+               qtbase5-dev (>= 5.2.0~)
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cervisia
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cervisia
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/cervisia.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/cervisia.git
 
 Package: cervisia
 Architecture: any

## cervisia 16.12.1

=== debian/changelog ===
cervisia (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:12:29 +0000

=== debian/control ===
--- 
+++ 
@@ -7,23 +7,23 @@
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12~),
+Build-Depends: cmake (>= 2.6~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               libkf5doctools-dev,
-               kinit-dev,
-               libkf5iconthemes-dev,
-               libkf5itemviews-dev,
-               libkf5notifications-dev,
-               libkf5parts-dev,
-               libkf5su-dev,
-               libkf5widgetsaddons-dev,
-               pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.2.0~)
-Standards-Version: 3.9.8
+               extra-cmake-modules (>= 5.28.0~),
+               kinit-dev (>= 5.28.0~),
+               libkf5config-dev (>= 5.28.0~),
+               libkf5doctools-dev (>= 5.28.0~),
+               libkf5iconthemes-dev (>= 5.28.0~),
+               libkf5itemviews-dev (>= 5.28.0~),
+               libkf5notifications-dev (>= 5.28.0~),
+               libkf5parts-dev (>= 5.28.0~),
+               libkf5su-dev (>= 5.28.0~),
+               libkf5widgetsaddons-dev (>= 5.28.0~),
+               pkg-kde-tools (>= 0.12)
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/cervisia.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/cervisia.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cervisia
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cervisia
 
 Package: cervisia
 Architecture: any

## cervisia 16.12.3

=== debian/changelog ===
cervisia (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:23:51 +0000

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,16 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.6~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.28.0~),
-               kinit-dev (>= 5.28.0~),
-               libkf5config-dev (>= 5.28.0~),
-               libkf5doctools-dev (>= 5.28.0~),
-               libkf5iconthemes-dev (>= 5.28.0~),
-               libkf5itemviews-dev (>= 5.28.0~),
-               libkf5notifications-dev (>= 5.28.0~),
-               libkf5parts-dev (>= 5.28.0~),
-               libkf5su-dev (>= 5.28.0~),
-               libkf5widgetsaddons-dev (>= 5.28.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               kinit-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5itemviews-dev (>= 5.31.0~),
+               libkf5notifications-dev (>= 5.31.0~),
+               libkf5parts-dev (>= 5.31.0~),
+               libkf5su-dev (>= 5.31.0~),
+               libkf5widgetsaddons-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/

## cervisia 17.04.3

=== debian/changelog ===
cervisia (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:27:44 +0100
